<?php 

	if (Session::get("tipo_usuario") != "1"){ show_403();}
	if ($_SERVER["REQUEST_METHOD"] == "POST") {
		import_file(DIR_MODELS."Model.class.php");

		$id_slide_home_page = (int) encrypt_decode(filter_input(INPUT_POST, "id_slide_home_page", FILTER_SANITIZE_STRING));

		$model = new Model();

		$result = $model->delete("slide_home_page", [
			"id_slide_home_page" => $id_slide_home_page
		]);
			
		if ($result > 0) {	
			$last_query = $model->lastQuery();
			$model->insert("historico", [
				"comando_sql" => $last_query,
				"datahora_acao" => date("Y-m-d H:i:s"),
				"id_usuario" => Session::get("id_usuario")
			]);

			$imagem_slide_home_page = $model->query("
				SELECT 
					imagem_slide_home_page 
				FROM slide_home_page 
				WHERE 
					id_slide_home_page = :id
			", [
				":id" => $id_slide_home_page
			])->fetch()->imagem_slide_home_page;

			unlink($_SERVER["DOCUMENT_ROOT"].URL_BASE.$imagem_slide_home_page);

			$model->commit();
			echo "<script>window.location.href='".show_link("/slides-home-page/?excluir=true")."'</script>";
		}
		else{
			echo "<script>window.location.href='".show_link("/slides-home-page/?excluir=false")."'</script>";
		}
	}
	else{
		show_403();
	}

?>